version: '3.6'

services:
  influxdb:
    image: influxdb:1.8
    environment:
      - INFLUXDB_GRAPHITE_ENABLED=true
    ports:
      - "8086:8086"
    volumes:
      - influxdb:/var/lib/influxdb
    networks:
      - influxdb

  broker:
    image: beia/emqtt
    volumes:
      - emqtt_data:/opt/emqttd/data
      - emqtt_etc:/opt/emqttd/etc
      - emqtt_lib:/opt/emqttd/lib
      - emqtt_log:/opt/emqttd/log
    ports:
     - "1883:1883"
    environment:
      EMQ_LOADED_PLUGINS: 'emq_recon,emq_modules,emq_retainer'
    networks:
     - broker

  mqtt2influxdb:
    build: ./software/mqtt-to-graphite
    environment:
      - CARBON_SERVER=influxdb
      # - CARBON_PORT=2003
      - MQTT_HOST=broker
      # -MQTT_PORT=1883
    depends_on:
      - broker
      - influxdb
    networks:
     - broker
     - influxdb

volumes:
  emqtt_data:
  emqtt_etc:
  emqtt_lib:
  emqtt_log:
  influxdb:
networks:
  graphite:
  broker:
  influxdb: